package ucot.input;

import java.util.Vector;

public class UseCaseCollection {
	private Vector<UseCase> useCases;
	
    public UseCaseCollection() {
        useCases = new Vector<UseCase>();
    }
    
    /**
     * Merges given UseCaseCollection to this 
     * @param a UseCaseCollection to merge
     */
    public void merge(UseCaseCollection a) {
    	if (a != null) {
	    	for(int i=0;i<a.getUseCaseCount();i++) {
	    		if (!exists(a.getUseCase(i)))
	    			addUseCase(a.getUseCase(i));
	    	}
    	}
    }
    
    /**
     * Checks if given UseCase exists in this collection
     * @param a UseCase to test
     * @return true if UseCase exists in this collection
     */
    public boolean exists(UseCase a) {
    	if (a == null) return false;
    	
    	for(int i=0;i<getUseCaseCount();i++) {
    		if (a.equals(getUseCase(i)))
    			return true;
    	}
    	return false;
    }
	public int getUseCaseCount() {
		return useCases.size();
	}
	
	public void addUseCase(UseCase a) {
		useCases.add(a);
	}
	
	public UseCase getUseCase(int index) {
		return useCases.get(index);
	}
} 
