package ucot.output;
import java.net.URL;
import java.util.Properties;

import ucot.model.AnalyzeModel;


public interface OutputInterface {
	/**
	 * Outputs analyze model.
	 * @param model Analyze model to output
	 */
	void output(AnalyzeModel model, URL url) throws Exception;
	
	/**
	 * Returns adapter's name
	 * @return
	 */
	String getName();
	
	/**
	 * Sets options for the adapter
	 * @param options options for the adapter
	 */
	void setOptions(Properties options);
	
	/**
	 * Returns adapter's options
	 * @return adapter's options
	 */
	Properties getOptions();
}
