package ucot.ui;

import ucot.core.ControlInterface;


public interface UIInterface {
	/**
	 * Core signals user interface that analyze model has been exported
	 *
	 */
	void exportDone();
	
	/**
	 * Core signals user interface that analyzemodel has been loaded
	 *
	 */
	void analyzeModelLoaded();
	
	/**
	 * Core signals user interface that usecases have been loaded from file
	 *
	 */
	void useCasesLoaded();
	
	/**
	 * Core signals user interface that usecases have been parsed,
	 * ran heuristic on and been added to given analyze model
	 */
	void useCaseAdded();
	
	/**
	 * Set control interface
	 * @param a control interface (UCOT core)
	 */
	void setControlInterface(ControlInterface a);
}
