package ucot.ui.gui.tree;

import java.util.List;
import java.util.Vector;

import ucot.model.Entity;
import ucot.model.Thing;

public class EntityTreeItem extends TreeItem {
	Entity entity;
	boolean expand;
	public EntityTreeItem(AnalyzeTreeModel model,TreeItem parent, Entity entity) {
		this (model, parent,entity, true);
	}
	public EntityTreeItem(AnalyzeTreeModel model, TreeItem parent, Entity entity, boolean expand) {
		super(model,parent);
		this.entity = entity;
		this.expand = expand;	
	}
	
	public String getName() {
		return entity.getName();
	}
	
	public Object getData() {
		return entity;
	}
	
	public List getChildren() {
		if (expand){
			List<TreeItem> items = new Vector<TreeItem>();
			TreeItem methods = new MethodsTreeItem(getTreeModel(),this, entity);
			if (methods.getChildren().size()>0)
				items.add(methods);
			return items;
		}
		else return new Vector();
	}
	
	public List<TreeItem> getRelevants(Thing thing){		 
		List<TreeItem> ret = new Vector<TreeItem>();
		if (thing.equals(getData())){
			ret.add(this); 
		} else {
			ret.addAll(super.getRelevants(thing));
		}
		return ret;
	}
	
}
